import Layout from '@/components/layout'
export default [
  {
    path: '/',
    name: 'Layout',
    component: Layout,
    redirect: '/calendar'
  },
  {
    path: '/meeting-create',
    component: Layout,
    children: [
      {
        path: '',
        component: () => import('@/pages/meeting/index.vue'),
        name: 'MeetingCreate',
        meta: { title: '创建直播', affix: true }
      }
    ]
  },
  {
    path: '/meeting-update',
    component: Layout,
    children: [
      {
        path: '',
        component: () => import('@/pages/meeting/index.vue'),
        name: 'MeetingUpdate',
        meta: { title: '更新直播', affix: true }
      }
    ]
  },
  {
    path: '/meeting-account-create',
    component: Layout,
    children: [
      {
        path: '',
        component: () => import('@/pages/meeting/index.vue'),
        name: 'MeetingAccountCreate',
        meta: { title: '创建直播', affix: true }
      }
    ]
  },
  {
    path: '/calendar',
    component: Layout,
    children: [
      {
        path: '',
        name: 'Calendar',
        component: () => import('@/pages/calendar/index.vue'),
        meta: { title: '日历列表', icon: 'el-icon-date' }
      }
    ]
  },
  {
    path: '/system',
    component: Layout,
    redirect: '/system/role',
    name: 'System',
    meta: { title: '系统管理', icon: 'el-icon-setting' },
    children: [
      {
        path: 'role',
        name: 'Role',
        component: () => import('@/pages/system/role/index'),
        meta: { title: '角色管理', icon: 'el-icon-s-check', roles: ['administrator'] }
      },
      {
        path: 'roleToUser',
        name: 'RoleToUser',
        component: () => import('@/pages/system/role/role-to-user/index'),
        meta: { title: '管理角色用户', icon: '', roles: ['administrator'] }
      },
      {
        path: 'account',
        name: 'Account',
        component: () => import('@/pages/system/account/index'),
        meta: { title: '账号管理', icon: 'el-icon-key', roles: ['administrator'] }
      }
    ]
  },
  {
    path: '/tencent',
    component: Layout,
    redirect: '/tencent/account',
    name: 'Tencent',
    meta: { title: '腾讯会议管理', icon: 'el-icon-setting' },
    children: [
      {
        path: 'account',
        name: 'TencentAccount',
        component: () => import('@/pages/tencent/account/index'),
        meta: { title: '账号管理', icon: 'el-icon-key', roles: ['administrator'] }
      }
    ]
  },
  {
    path: '/my',
    component: Layout,
    children: [
      {
        path: '',
        name: 'My',
        component: () => import('@/pages/my/index.vue'),
        meta: { title: '个人中心', icon: 'el-icon-user' }
      }
    ]
  },
  {
    path: '/search',
    component: Layout,
    children: [
      {
        path: '',
        name: 'Search',
        component: () => import('@/pages/search/index.vue'),
        meta: { title: '搜索' }
      }
    ]
  },
  {
    path: '/error-page',
    component: Layout,
    redirect: '/error-page/404',
    name: 'ErrorPage',
    meta: { title: '访问出错', icon: 'el-icon-setting' },
    hidden: true,
    children: [
      {
        path: '404',
        name: '404',
        component: () => import('@/pages/error-page/404'),
        meta: { title: '404', icon: '' }
      },
      {
        path: '401',
        name: '401',
        component: () => import('@/pages/error-page/401'),
        meta: { title: '401', icon: '' }
      }
    ]
  },
  { path: '*', redirect: '/error-page', hidden: true }
]
